#include "picoled.h"

namespace picoled
{

oled::oled(size_t width, size_t height) :
  buffer_a(width, height),
  buffer_b(width, height),
  active(false)
{ }

void oled::update()
{
  update_impl();
}

void oled::swap_buffers()
{
  active = !active;
}

void oled::clear()
{
  active_buffer().clear();
}

}
